/*
================================================================================
 File: converter.h
--------------------------------------------------------------------------------
 Author:        Piotr Wojtowicz
 Purpose:       USBD RS232C converter
 Compiler:      ANSI C
 Hardware:
 Doc:
--------------------------------------------------------------------------------
 Includes:
--------------------------------------------------------------------------------
 Comments:                      UWAGA!!!
                Oprogramowanie to udostpnione jest do celw pogldowych,
                nie jest przetestowane pod ktem bezpieczestwa ani spenienia
                jakichkolwiek norm wymaganych aby urzdzenie uywajce go
                mogo by dopuszczone do uytku, dlatego uywasz go
                na wasn odpowiedzialno a jego autor nie ponosi adnego
                typu odpowiedzialnoci za jakiekolwiek skutki jego uycia.
                Jeeli nie zgadzasz si z powyszym warunkiem prosz
                o nieuywanie tego oprogramowania.
================================================================================
*/

#ifndef CONVERTER_H_
#define CONVERTER_H_

#include <stdint.h>
#include <stdlib.h>
#include <string.h>
#include "stm32f10x_conf.h"
#include "cdc_vcom.h"
#include "buffers.h"



#define USART1_TX_PORT				GPIOA
#define USART1_TX_PIN				GPIO_Pin_9

#define USART1_RX_PORT				GPIOA
#define USART1_RX_PIN				GPIO_Pin_10



#define USART2_TX_PORT				GPIOA
#define USART2_TX_PIN				GPIO_Pin_2

#define USART2_RX_PORT				GPIOA
#define USART2_RX_PIN				GPIO_Pin_3



#define USART3_TX_PORT				GPIOB
#define USART3_TX_PIN				GPIO_Pin_10

#define USART3_RX_PORT				GPIOB
#define USART3_RX_PIN				GPIO_Pin_11




#define TO_VCOM_BUF_SIZE			1000
#define TO_USART_BUF_SIZE			1000



#define USE_VCOM1					1
#define USE_VCOM2					1

#if(USE_VCOM1)
#define VCOM1_USART_NUM				1
#endif
#if(USE_VCOM2)
#define VCOM2_USART_NUM				2
#endif


typedef struct {
	USART_TypeDef* USARTx;
	uint8_t usart_num;
	struct {
		TBuffer to_vcom;
		TBuffer to_usart;
	}buf;
	struct {
		uint8_t rx[USBDEP_FS_BULK_MAX_POSSIBLE_PACKET_SIZE];
		uint8_t tx[USBDEP_FS_BULK_MAX_POSSIBLE_PACKET_SIZE];
	}cache;
	struct {
		uint8_t to_vcom[TO_VCOM_BUF_SIZE];
		uint8_t to_usart[TO_USART_BUF_SIZE];
	}space;
	CDC_VCOM_params vcom;
}converter_params;


void converter_init(void);

#endif /*CONVERTER_H_*/
