#ifndef USBD_CONFIG_H_
#define USBD_CONFIG_H_


// konfiguracje podstawowe przez wlaczenie

#define USBD_ALTERNATE_SETTING_SUPPORT          USBD_FEATURE_ON

#define USBD_UPPER_LAYER_SUPPORT                USBD_FEATURE_ON

#define USBD_CCM_SUPPORT                        USBD_FEATURE_ON

#define USBD_VBUS_DETECT_SUPPORT                USBD_FEATURE_ON

#define USBD_DP_PULL_UP_SUPPORT                 USBD_FEATURE_ON

#define USBD_VENDOR_SUPPORT                     USBD_FEATURE_ON

#define USBD_MULTI_SESSION_SUPPORT				USBD_FEATURE_ON

#define USBD_ZERO_CONFIG_SUPPORT                USBD_FEATURE_ON

#define USBDEP_BULK_SUPPORT                     USBD_FEATURE_ON

#define USBDEP_INTERRUPT_SUPPORT                USBD_FEATURE_ON

#define USBDEP_ISOCHRONOUS_SUPPORT              USBD_FEATURE_ON

#define USBDEP_DATA_OUT_WAIT_FOR_READY_SUPPORT  USBD_FEATURE_ON


// konfiguracje podstawowe przez wartosc

#define USBD_MAX_NUM_CONFIGURATIONS             1

#define USBD_MAX_NUM_INTERFACES                 12

#define USBD_MAX_NUM_ENDPOINTS                  8

#define USBD_MAX_NUM_STRINGS                    8

#define USBD_MAX_NUM_EVENTS                     1


// szczegolowe konfiguracje eventow przez wlaczenie

#define USBDE_ATTACHED_SUPPORT					USBD_FEATURE_ON

#define USBDE_DETACHED_SUPPORT					USBD_FEATURE_ON

#define USBDE_POWERED_SUPPORT					USBD_FEATURE_ON

#define USBDE_UNPOWERED_SUPPORT					USBD_FEATURE_ON

#define USBDE_RESET_SUPPORT						USBD_FEATURE_ON

#define USBDE_ADDRESSED_SUPPORT					USBD_FEATURE_ON

#define USBDE_CONFIGURED_SUPPORT				USBD_FEATURE_ON

#define USBDE_UNCONFIGURED_SUPPORT				USBD_FEATURE_ON

#define USBDE_SUSPENDED_SUPPORT					USBD_FEATURE_ON

#define USBDE_WAKEUP_SUPPORT					USBD_FEATURE_ON

#define USBDE_SOF_SUPPORT						USBD_FEATURE_ON




#define USBDEP_0_MAX_POSSIBLE_PACKET_SIZE       8
/*
#define USBDEP_1_MAX_POSSIBLE_PACKET_SIZE       16
#define USBDEP_2_MAX_POSSIBLE_PACKET_SIZE       64
#define USBDEP_3_MAX_POSSIBLE_PACKET_SIZE       64
#define USBDEP_4_MAX_POSSIBLE_PACKET_SIZE       16
#define USBDEP_5_MAX_POSSIBLE_PACKET_SIZE       64
#define USBDEP_6_MAX_POSSIBLE_PACKET_SIZE       64
#define USBDEP_7_MAX_POSSIBLE_PACKET_SIZE       64//*/



// ustawienia dla usbd_cdp

#define USBD_CDP_USED_JUST_BY_USBD_CORE			0



// ustawienia dla usbd_trash

#define USBD_DP_PULL_UP_PORT					GPIOC

#define USBD_DP_PULL_UP_PIN						GPIO_Pin_11

#define USBD_DP_PULL_UP_MODE					GPIO_Mode_Out_PP

#define USBD_DP_PULL_UP_ACTIVE_STATE			0

#define USBD_VBUS_PORT							GPIOC

#define USBD_VBUS_PIN							GPIO_Pin_4

#define USBD_VBUS_MODE							GPIO_Mode_IN_FLOATING

#define USBD_VBUS_ACTIVE_STATE					1

#define USBD_VBUS_GPIO_PortSource				GPIO_PortSourceGPIOC

#define USBD_VBUS_GPIO_PinSource				GPIO_PinSource4

#define USBD_VBUS_EXTI_Line						EXTI_Line4

#define USBD_VBUS_EXTI_IRQChannel				EXTI4_IRQn

#define USBD_RCC_USBCLKSource_PLLCLK_presc		RCC_USBCLKSource_PLLCLK_Div1
//#define USBD_RCC_USBCLKSource_PLLCLK_presc		RCC_USBCLKSource_PLLCLK_1Div5





// --------------
// vcom config
// --------------
#define CDC_DTR_AUTO_REPEAT_SUPPORT			USBD_FEATURE_ON

#define CDC_RTS_AUTO_REPEAT_SUPPORT			USBD_FEATURE_ON

#define CDC_IN_DATA_STREAM_SUPPORT			USBD_FEATURE_ON

#define CDC_OUT_DATA_STREAM_SUPPORT			USBD_FEATURE_ON

#define CDC_UPPER_LAYER_SUPPORT				USBD_FEATURE_ON


#endif /*USBD_CONFIG_H_*/
