/*
================================================================================
 File: usbd_port.h
--------------------------------------------------------------------------------
 Author:        Piotr Wojtowicz
 Purpose:       USBDevice specific definitions
 Compiler:      ANSI C
 Hardware:      
 Doc:
--------------------------------------------------------------------------------
 Includes:      
--------------------------------------------------------------------------------
 Comments:                      UWAGA!!!
                Oprogramowanie to udostępnione jest do celów poglądowych,
                nie jest przetestowane pod kątem bezpieczeństwa ani spełnienia
                jakichkolwiek norm wymaganych aby urządzenie używające go
                mogło być dopuszczone do użytku, dlatego używasz go
                na własną odpowiedzialność a jego autor nie ponosi żadnego
                typu odpowiedzialności za jakiekolwiek skutki jego użycia.
                Jeżeli nie zgadzasz się z powyższym warunkiem proszę
                o nieużywanie tego oprogramowania.
================================================================================
*/

#ifndef USBD_PORT_H_
#define USBD_PORT_H_


// liczba Endpointow jakie posiada USBD
#ifndef USBD_MAX_NUM_ENDPOINTS
    #define USBD_MAX_NUM_ENDPOINTS              8
#else
    #if(USBD_MAX_NUM_ENDPOINTS > 8)
        #undef USBD_MAX_NUM_ENDPOINTS
        #define USBD_MAX_NUM_ENDPOINTS          8
    #endif
#endif



#ifndef USBDEP_SUMARIZED_BUFFERS_MEMORY_SIZE
    #define USBDEP_SUMARIZED_BUFFERS_MEMORY_SIZE              448
#else
    #if(USBDEP_SUMARIZED_BUFFERS_MEMORY_SIZE > 448)
        #undef USBDEP_SUMARIZED_BUFFERS_MEMORY_SIZE
        #define USBDEP_SUMARIZED_BUFFERS_MEMORY_SIZE          448
    #endif
#endif



#ifndef USBDEP_0_MAX_POSSIBLE_PACKET_SIZE
#define USBDEP_0_MAX_POSSIBLE_PACKET_SIZE       64
#endif

#ifndef USBDEP_1_MAX_POSSIBLE_PACKET_SIZE
#define USBDEP_1_MAX_POSSIBLE_PACKET_SIZE       64
#endif

#ifndef USBDEP_2_MAX_POSSIBLE_PACKET_SIZE
#define USBDEP_2_MAX_POSSIBLE_PACKET_SIZE       64
#endif

#ifndef USBDEP_3_MAX_POSSIBLE_PACKET_SIZE
#define USBDEP_3_MAX_POSSIBLE_PACKET_SIZE       64
#endif

#ifndef USBDEP_4_MAX_POSSIBLE_PACKET_SIZE
#define USBDEP_4_MAX_POSSIBLE_PACKET_SIZE       64
#endif

#ifndef USBDEP_5_MAX_POSSIBLE_PACKET_SIZE
#define USBDEP_5_MAX_POSSIBLE_PACKET_SIZE       64
#endif

#ifndef USBDEP_6_MAX_POSSIBLE_PACKET_SIZE
#define USBDEP_6_MAX_POSSIBLE_PACKET_SIZE       64
#endif

#ifndef USBDEP_7_MAX_POSSIBLE_PACKET_SIZE
#define USBDEP_7_MAX_POSSIBLE_PACKET_SIZE       64
#endif

// STM32 supports only 8 endpoints

#ifndef USBDEP_8_MAX_POSSIBLE_PACKET_SIZE
#define USBDEP_8_MAX_POSSIBLE_PACKET_SIZE       0
#else
#undef USBDEP_8_MAX_POSSIBLE_PACKET_SIZE
#define USBDEP_8_MAX_POSSIBLE_PACKET_SIZE       0
#endif

#ifndef USBDEP_9_MAX_POSSIBLE_PACKET_SIZE
#define USBDEP_9_MAX_POSSIBLE_PACKET_SIZE       0
#else
#undef USBDEP_9_MAX_POSSIBLE_PACKET_SIZE
#define USBDEP_9_MAX_POSSIBLE_PACKET_SIZE       0
#endif

#ifndef USBDEP_10_MAX_POSSIBLE_PACKET_SIZE
#define USBDEP_10_MAX_POSSIBLE_PACKET_SIZE      0
#else
#undef USBDEP_10_MAX_POSSIBLE_PACKET_SIZE
#define USBDEP_10_MAX_POSSIBLE_PACKET_SIZE      0
#endif

#ifndef USBDEP_11_MAX_POSSIBLE_PACKET_SIZE
#define USBDEP_11_MAX_POSSIBLE_PACKET_SIZE      0
#else
#undef USBDEP_11_MAX_POSSIBLE_PACKET_SIZE
#define USBDEP_11_MAX_POSSIBLE_PACKET_SIZE      0
#endif

#ifndef USBDEP_12_MAX_POSSIBLE_PACKET_SIZE
#define USBDEP_12_MAX_POSSIBLE_PACKET_SIZE      0
#else
#undef USBDEP_12_MAX_POSSIBLE_PACKET_SIZE
#define USBDEP_12_MAX_POSSIBLE_PACKET_SIZE      0
#endif

#ifndef USBDEP_13_MAX_POSSIBLE_PACKET_SIZE
#define USBDEP_13_MAX_POSSIBLE_PACKET_SIZE      0
#else
#undef USBDEP_13_MAX_POSSIBLE_PACKET_SIZE
#define USBDEP_13_MAX_POSSIBLE_PACKET_SIZE      0
#endif

#ifndef USBDEP_14_MAX_POSSIBLE_PACKET_SIZE
#define USBDEP_14_MAX_POSSIBLE_PACKET_SIZE      0
#else
#undef USBDEP_14_MAX_POSSIBLE_PACKET_SIZE
#define USBDEP_14_MAX_POSSIBLE_PACKET_SIZE      0
#endif

#ifndef USBDEP_15_MAX_POSSIBLE_PACKET_SIZE
#define USBDEP_15_MAX_POSSIBLE_PACKET_SIZE      0
#else
#undef USBDEP_15_MAX_POSSIBLE_PACKET_SIZE
#define USBDEP_15_MAX_POSSIBLE_PACKET_SIZE      0
#endif


/**
 * Element rozwojowy - na razie zero, w przyslosci
 * wskaznik do urzadzenia
 */
#define USBD_STM32								0


#endif /*USBD_PORT_H_*/
